## ros-melodic-rokubimini-msgs 0.5.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rokubimini_msgs)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
add_definitions(-std=c++14 -Wall -Werror)

set(PACKAGE_DEPENDENCIES
    geometry_msgs
    sensor_msgs
    std_msgs
)

find_package(catkin REQUIRED
  COMPONENTS
    message_generation
    message_runtime
    ${PACKAGE_DEPENDENCIES}
)

add_message_files(
  FILES
    Reading.msg
)

add_service_files(
  FILES
    GetSensorConfiguration.srv
    SetSensorConfiguration.srv
)

generate_messages(
  DEPENDENCIES
    ${PACKAGE_DEPENDENCIES}
)

catkin_package(
  CATKIN_DEPENDS
    ${PACKAGE_DEPENDENCIES}
    message_runtime
)

=== debian/changelog ===
ros-melodic-rokubimini-msgs (0.5.8-1stretch) stretch; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Thu, 12 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.7-1stretch) stretch; urgency=high

  * Fix gcc error for extended alignment
  * Release master 0.5.6
  * change minimum cmake version required to 3.0.2
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Tue, 03 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.6-1stretch) stretch; urgency=high

  * Merge branch 'fix/cmake-policy-cmp0048' into 'master'
    change minimum cmake version required to 3.0.2
    Closes #29
    See merge request botasys/bota_driver!66
  * change minimum cmake version required to 3.0.2
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 02 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.5-1stretch) stretch; urgency=high

  * Merge branch 'release/0.5.4' into 'melodic-devel'
    Release 0.5.4
    See merge request botasys/bota_driver!54
  * Release 0.5.4
  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * fix errors from catkin_lint
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Sun, 01 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.4-1stretch) stretch; urgency=high

  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52 <https://gitlab.com/botasys/bota_driver/-/merge_requests/52>
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * fix errors from catkin_lint
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 30 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.3-1stretch) stretch; urgency=high

  * merge release 0.5.2 into melodic-devel
  * fix errors from catkin_lint
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 29 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.2-1stretch) stretch; urgency=high

  * Merge branch 'feature/increment-patch-version' into 'master'
    Increment patch version
    See merge request botasys/bota_driver!48 <https://gitlab.com/botasys/bota_driver/-/merge_requests/48>
  * Increment patch version
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Wed, 28 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.1-1stretch) stretch; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Mon, 26 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.0-1stretch) stretch; urgency=high

  * Merge branch 'feature/add-temperature-serial'
  * add temperature publishing functionality. tested locally
  * Merge branch 'feature/try-industrial-ci' into 'master'
    Utilize industrial-ci for implementing Continuous Integration.
  * add proper build path for non-master branches. master branch CI needs to change. change Dockerfile and gitlab-ci.yml to use .rosinstall file
  * Merge branch 'feature/remove-command-from-repo' into 'master'
    remove Command from repo. Tested locally
  * Merge branch 'add-linter-test' into 'feature/rokubimini_serial'
    Add linter testing step in CI
  * first abstracted try
  * Merged in feature/manager (pull request #3)
    Feature/manager
  * Added ros conversion trait for reading and command
  * Started to adapt cosmo example
  * Contributors: Ilias Patsiaouras, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 19 Oct 2020 21:00:00 -0000

=== debian/control ===
Source: ros-melodic-rokubimini-msgs
Section: misc
Priority: optional
Maintainer: Bota Systems AG <sw-support@botasys.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: https://gitlab.com/botasys/bota_driver
Standards-Version: 3.9.2

Package: ros-melodic-rokubimini-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: ROS message and service definitions.

## ros-melodic-rokubimini-msgs 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,9 @@
   FILES
     GetSensorConfiguration.srv
     SetSensorConfiguration.srv
+    FirmwareUpdateEthercat.srv
+    FirmwareUpdateSerial.srv
+    ResetWrench.srv
 )
 
 generate_messages(

=== debian/changelog ===
ros-melodic-rokubimini-msgs (0.6.1-1bionic) bionic; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Mon, 27 Sep 2021 21:00:00 -0000

ros-melodic-rokubimini-msgs (0.6.0-1bionic) bionic; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Mon, 21 Jun 2021 21:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.9-1bionic) bionic; urgency=high

  * add url to wiki
  * Feature - add reset services
  * Feature - add firmware update
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 05 Feb 2021 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.8-1bionic) bionic; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Thu, 12 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.7-1bionic) bionic; urgency=high

  * Fix gcc error for extended alignment
  * Release master 0.5.6
  * change minimum cmake version required to 3.0.2
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Tue, 03 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.6-1bionic) bionic; urgency=high

  * Merge branch 'fix/cmake-policy-cmp0048' into 'master'
    change minimum cmake version required to 3.0.2
    Closes #29
    See merge request botasys/bota_driver!66
  * change minimum cmake version required to 3.0.2
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 02 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.5-1bionic) bionic; urgency=high

  * Merge branch 'release/0.5.4' into 'melodic-devel'
    Release 0.5.4
    See merge request botasys/bota_driver!54
  * Release 0.5.4
  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * fix errors from catkin_lint
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Sun, 01 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.4-1bionic) bionic; urgency=high

  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52 <https://gitlab.com/botasys/bota_driver/-/merge_requests/52>
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * fix errors from catkin_lint
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 30 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.3-1bionic) bionic; urgency=high

  * merge release 0.5.2 into melodic-devel
  * fix errors from catkin_lint
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 29 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.2-1bionic) bionic; urgency=high

  * Merge branch 'feature/increment-patch-version' into 'master'
    Increment patch version
    See merge request botasys/bota_driver!48 <https://gitlab.com/botasys/bota_driver/-/merge_requests/48>
  * Increment patch version
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Wed, 28 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.1-1bionic) bionic; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Mon, 26 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-msgs (0.5.0-1bionic) bionic; urgency=high

  * Merge branch 'feature/add-temperature-serial'
  * add temperature publishing functionality. tested locally
  * Merge branch 'feature/try-industrial-ci' into 'master'
    Utilize industrial-ci for implementing Continuous Integration.
  * add proper build path for non-master branches. master branch CI needs to change. change Dockerfile and gitlab-ci.yml to use .rosinstall file
  * Merge branch 'feature/remove-command-from-repo' into 'master'
    remove Command from repo. Tested locally
  * Merge branch 'add-linter-test' into 'feature/rokubimini_serial'
    Add linter testing step in CI
  * first abstracted try
  * Merged in feature/manager (pull request #3)
    Feature/manager
  * Added ros conversion trait for reading and command
  * Started to adapt cosmo example
  * Contributors: Ilias Patsiaouras, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 19 Oct 2020 21:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bota Systems AG <sw-support@botasys.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-sensor-msgs, ros-melodic-std-msgs
-Homepage: https://gitlab.com/botasys/bota_driver
+Homepage: http://wiki.ros.org/bota_driver
 Standards-Version: 3.9.2
 
 Package: ros-melodic-rokubimini-msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rokubimini-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
